Bug 461596 - web.product_name not in master config list in PXT::Config at /usr/lib/perl5/site_perl/5.8.8/PXT/Config.pm
web.product_name not in master config list in PXT::Config at /usr/lib/perl5/s...
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Red Hat Satellite QA List
Depends On:
Blocks: space03
  Show dependency treegraph
Reported: 2008-09-09 06:44 EDT by Milan Zázrivec
Modified: 2009-09-17 03:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-17 03:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2008-09-09 06:44:58 EDT
Description of problem:
When navigating to Channel -> arbitrary channel in list -> Packages ->
arbitrary package in list -> Dependencies

Following error is printed into /var/log/https/error_log:
error] config web.product_name not in master config list in PXT::Config at
/usr/lib/perl5/site_perl/5.8.8/PXT/Config.pm line 163

Seemingly the application is trying to read /etc/rhn/default/rhn_web.conf,
which does not contain web.product_name config option, nonetheless the
config value is present in /etc/rhn/rhn.conf

Version-Release number of selected component (if applicable):
Comment 1 Justin Sherrill 2008-10-15 14:37:21 EDT
Looks like this was designed so that all options needed would be in the 'default' config file, and just overridden in the rhn.conf.  I'm not going to change this logic, so I'm just going to add an entry into rhn_web.conf in the default directory.

Comment 2 Devan Goodwin 2008-11-04 13:04:45 EST
Verified in spacewalk 0.3. No error being printed to httpd/error_log, and web.product_name is defined in /etc/rhn/default/rhn_web.conf.
Comment 3 Miroslav Suchý 2009-09-17 03:01:17 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.